## RepeatRuleTimeZone

Description

Wrap the DateTimeZone class to allow parsing some iCalendar TZID strangenesses

Located in /inc/RRule-v2.php (line 39)

    DateTimeZone
       |
       --RepeatRuleTimeZone

Method Summary
RepeatRuleTimeZone __construct ([ $in_dtz = null])
void tzid ()
Methods
Constructor __construct (line 42)

- access: public

RepeatRuleTimeZone __construct ([ $in_dtz = null])

- $in_dtz

Redefinition of:

DateTimeZone::constructor __construct ( $timezone )

tzid (line 65)
void tzid ()

#### Inherited Methods

Inherited From DateTimeZone (Internal Class)

> constructor __construct ( $timezone )
> getLocation ( )
> getName ( )
> getOffset ( $datetime )
> getTransitions ( $timestamp_begin, $timestamp_end )
> listAbbreviations ( )
> listIdentifiers ( [$what = ], [$country = ] )

Class Constants

#### Inherited Constants

Inherited from DateTimeZone (Internal Class)

> AFRICA = 1
> ALL = 2047
> ALL_WITH_BC = 4095
> AMERICA = 2
> ANTARCTICA = 4
> ARCTIC = 8
> ASIA = 16
> ATLANTIC = 32
> AUSTRALIA = 64
> EUROPE = 128
> INDIAN = 256
> PACIFIC = 512
> PER_COUNTRY = 4096
> UTC = 1024

Documentation generated on Sun, 08 Jul 2012 12:53:51 +0000 by phpDocumentor 1.4.3